# Interface methods for submodule: Index
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate



# Interface methods for class: Index
class IndexProxy():
	@staticmethod
	def GetIndexDimension() -> int:
		""""""
		...

	def GetIndex(self):
		""""""
		...

	def SetIndex(self, val) -> None:
		""""""
		...

	def SetElement(self, element: int, val: int) -> None:
		""""""
		...

	def GetElement(self, element: int) -> int:
		""""""
		...

	def Fill(self, value: int) -> None:
		""""""
		...

	@staticmethod
	def GetBasisIndex(dim: int) -> Sequence[int]:
		""""""
		...

	def assign(self, newValue: int) -> None:
		""""""
		...

	def swap(self, other: Sequence[int]) -> None:
		""""""
		...

	def cbegin(self):
		""""""
		...

	def begin(self):
		""""""
		...

	def cend(self):
		""""""
		...

	def end(self):
		""""""
		...

	def rbegin(self):
		""""""
		...

	def rend(self):
		""""""
		...

	def size(self) -> int:
		""""""
		...

	def max_size(self) -> int:
		""""""
		...

	def empty(self) -> bool:
		""""""
		...

	def at(self, pos: int) -> int:
		""""""
		...

	def front(self) -> int:
		""""""
		...

	def back(self) -> int:
		""""""
		...

	def data(self):
		""""""
		...

	@staticmethod
	def Filled(value: int) -> Sequence[int]:
		""""""
		...

